Ruan Blog - 阮家森的博客 Ruan Blog - 阮家森的博客

微擎系统应用模块停用后无法安装问题的解决办法

in 微擎框架read (132606) 站长Ruan 文章转载请注明来源!

针对微擎1.6.9出现的本地应用模块停用,无法再次安装的问题:
首先确保已经做如下处理(如果1.72或者其他高版本代码稍有不同,搜“云平台”修改对应三处有文字的地方):
1、打开 frameworkmodelcloud.mod.php 文件,分别找到以下三个函数中列出来的语句块,然后注释掉。
函数1:function cloud_prepare()

if(empty($_W[‘setting’][‘site’][‘key’]) || empty($_W[‘setting’][‘site’][‘token’])) {
    return error(‘-1’, “您的站点只有在微擎云服务平台成功注册后,才能使用云服务的相应功能。”);
}

函数2:function cloud_m_prepare()

if ($dat[‘content’] == ‘install-module-protect’) {
    return error(‘-1’, ‘此模块已设置版权保护,您只能通过云平台来安装。’);
}

函数3:function cloud_t_prepare()

if ($dat[‘content’] == ‘install-theme-protect’) {
    return error(‘-1’, ‘此模板已设置版权保护,您只能通过云平台来安装。’);
}

确保上面的操作修改后:
进入数据表:ims_modules_recycle

清空里面的数据即可,再次安装模块。

如果版本显示不正确,删除数据表:ims_modules中对应的模块后,再次刷新页面即可看到当前的版块号。
如果发现数据库不完整或缺失,可能是安装文件不完整,可以看一下里面是否缺少install.php文件,如果缺少,说明安装文件不完整,需要重新用原版的安装文件覆盖。

文章二维码

扫描二维码,在手机上阅读!

微擎框架
最后由Ruan修改于2018-08-24 23:39

此处评论已关闭

PREVIOUS NEXT
雷姆
拉姆